<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Role</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h4 class="h4">Role</h4>
        <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
        <!--            <div class="btn-group me-2">-->
        <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
        <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
        <!--            </div>-->
        <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
        <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
        <!--                This week-->
        <!--            </button>-->
        <!--        </div>-->
    </div>

    <div class="row">
        <div class="col-md-12" style="margin-bottom: 20px;">
            <div class="card">
                <div class="card-header" style="text-align: right;">
                    <a th:href="@{/role}" class="btn btn-info btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <form th:action="@{/role/save}" method="post" th:object="${role}">
                                <div class="form-group mb-3">
                                    <label>Role</label>
                                    <input type="text" class="form-control" name="name" th:field="*{name}">
                                    <input type="hidden" name="id" th:field="*{id}">
                                </div>
                                <div class="form-group mb-3">
                                    <label>Description</label>
                                    <input type="text" class="form-control" name="description" th:field="*{description}">
                                </div>
                                <div class="form-group mb-3">
                                    <label>Permission</label>
                                    <select class="form-control js-example-basic-multiple" th:field="*{permissions}" name="permissions" style="width: 100%;" multiple="">
                                        <option th:each="data : ${listPermission}"
                                                th:text="${data.label}"
                                                th:value="${data.id}">sdasd</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <button class="btn btn-primary">Simpan</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--        <div class="card-footer">-->
                <!--          <nav aria-label="Page navigation example">-->
                <!--            <ul class="pagination justify-content-center" sd:pagination="full">-->
                <!--              <li class="page-item disabled">-->
                <!--                <a class="page-link" href="#" tabindex="-1">Previous</a>-->
                <!--              </li>-->
                <!--              <li class="page-item"><a class="page-link" href="#">1</a></li>-->
                <!--              <li class="page-item"><a class="page-link" href="#">2</a></li>-->
                <!--              <li class="page-item"><a class="page-link" href="#">3</a></li>-->
                <!--              <li class="page-item">-->
                <!--                <a class="page-link" href="#">Next</a>-->
                <!--              </li>-->
                <!--            </ul>-->
                <!--          </nav>-->
                <!--        </div>-->
            </div>
        </div>
    </div>
</main>
<section layout:fragment="footer">
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $(document).ready(function() {
            $('.js-example-basic-multiple').select2({
                placeholder: "Pilih Salah Satu",
                allowClear: true
            });
        });

    </script>
</section>
</body>
</html>